//OyvTo7bJ+V/y1TWJAf+ESkZDGKwY5I4/GaXvEjGuW+DQ/jQuhqk+zUk2mMMj7oRa
package nc.vo.ic.m45.entity;

import nc.vo.ic.general.define.EntityNameConst;
import nc.vo.ic.general.define.ICBillHeadVO;
import nc.vo.ic.general.define.MetaNameConst;
import nc.vo.ic.pub.define.ICPubMetaNameConst;
import nc.vo.pub.IVOMeta;
import nc.vo.pub.lang.UFBoolean;
import nc.vo.pubapp.pattern.model.meta.entity.vo.VOMetaFactory;
import nc.vo.scmpub.res.billtype.ICBillType;

/**
 * @author liujq 2010-1-25 下午07:00:34
 */
public class PurchaseInHeadVO extends ICBillHeadVO {

  // 业务流程
  public static final String CBIZTYPE = "cbiztype";

  // 采购退库
  public static final String FREPLENISHFLAG = "freplenishflag";
  
  // 进口入库单
  public static final String BITINBILL = "bitinbill";

  // 退库理由
  public static final String VRETURNREASON = "vreturnreason";

  // 结算成本域
  public static final String CCOSTDOMAINID = "ccostdomainid";

  // 结算财务组织
  public static final String CFANACEORGOID = "cfanaceorgoid";

  // 结算财务组织版本
  public static final String CFANACEORGVID = "cfanaceorgvid";

  // 应付组织
  public static final String CPAYFINORGOID = "cpayfinorgoid";

  // 应付组织版本
  public static final String CPAYFINORGVID = "cpayfinorgvid";

  // 采购组织
  public static final String CPURORGOID = "cpurorgoid";

  // 采购组织版本
  public static final String CPURORGVID = "cpurorgvid";

  /**
   * serialVersionUID
   */
  private static final long serialVersionUID = 1L;
  
//add by 周蓝萍   增加自定义字段21-60  2020-10-16  周蓝萍 begin
  public static final String VDEF21 = "vdef21";

  /** 自定义项22 **/
  public static final String VDEF22 = "vdef22";

  /** 自定义项23 **/
  public static final String VDEF23 = "vdef23";

  /** 自定义项24 **/
  public static final String VDEF24 = "vdef24";

  /** 自定义项25 **/
  public static final String VDEF25 = "vdef25";

  /** 自定义项26 **/
  public static final String VDEF26 = "vdef26";

  /** 自定义项27 **/
  public static final String VDEF27 = "vdef27";

  /** 自定义项28 **/
  public static final String VDEF28 = "vdef28";

  /** 自定义项29 **/
  public static final String VDEF29 = "vdef29";

  /** 自定义项30 **/
  public static final String VDEF30 = "vdef30";

  /** 自定义项31 **/
  public static final String VDEF31 = "vdef31";

  /** 自定义项32 **/
  public static final String VDEF32 = "vdef32";

  /** 自定义项33 **/
  public static final String VDEF33 = "vdef33";

  /** 自定义项34 **/
  public static final String VDEF34 = "vdef34";

  /** 自定义项35 **/
  public static final String VDEF35 = "vdef35";

  /** 自定义项36 **/
  public static final String VDEF36 = "vdef36";

  /** 自定义项37 **/
  public static final String VDEF37 = "vdef37";

  /** 自定义项38 **/
  public static final String VDEF38 = "vdef38";

  /** 自定义项39 **/
  public static final String VDEF39 = "vdef39";

  /** 自定义项40 **/
  public static final String VDEF40 = "vdef40";
  
  public static final String VDEF41 = "vdef41";
  public static final String VDEF42 = "vdef42";
  public static final String VDEF43 = "vdef43";
  public static final String VDEF44 = "vdef44";
  public static final String VDEF45 = "vdef45";
  public static final String VDEF46 = "vdef46";
  public static final String VDEF47 = "vdef47";
  public static final String VDEF48 = "vdef48";
  public static final String VDEF49 = "vdef49";
  public static final String VDEF50 = "vdef50";
  public static final String VDEF51 = "vdef51";
  public static final String VDEF52 = "vdef52";
  public static final String VDEF53 = "vdef53";
  public static final String VDEF54 = "vdef54";
  public static final String VDEF55 = "vdef55";
  public static final String VDEF56 = "vdef56";
  public static final String VDEF57 = "vdef57";
  public static final String VDEF58 = "vdef58";
  public static final String VDEF59 = "vdef59";
  public static final String VDEF60 = "vdef60";
  
  public  String getVdef21() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF21);
	}

	public  void setVdef21(String vDEF21) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF21, vDEF21);
	}

	public  String getVdef22() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF22);
	}

	public  void setVdef22(String vDEF22) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF22, vDEF22);
	}

	public  String getVdef23() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF23);
	}

	public  void setVdef23(String vDEF23) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF23, vDEF23);
	}

	public  String getVdef24() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF24);
	}

	public  void setVdef24(String vDEF24) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF24, vDEF24);
	}

	public  String getVdef25() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF25);
	}

	public  void setVdef25(String vDEF25) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF25, vDEF25);
	}

	public  String getVdef26() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF26);
	}

	public  void setVdef26(String vDEF26) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF26, vDEF26);
	}

	public  String getVdef27() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF27);
	}

	public  void setVdef27(String vDEF27) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF27, vDEF27);
	}

	public  String getVdef28() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF28);
	}

	public  void setVdef28(String vDEF28) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF28, vDEF28);
	}

	public  String getVdef29() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF29);
	}

	public  void setVdef29(String vDEF29) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF29, vDEF29);
	}

	public  String getVdef30() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF30);
	}

	public  void setVdef30(String vDEF30) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF30, vDEF30);
	}

	public  String getVdef31() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF31);
	}

	public  void setVdef31(String vDEF31) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF31, vDEF31);
	}

	public  String getVdef32() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF32);
	}

	public  void setVdef32(String vDEF32) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF32, vDEF32);
	}

	public  String getVdef33() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF33);
	}

	public  void setVdef33(String vDEF33) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF33, vDEF33);
	}

	public  String getVdef34() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF34);
	}

	public  void setVdef34(String vDEF34) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF34, vDEF34);
	}

	public  String getVdef35() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF35);
	}

	public  void setVdef35(String vDEF35) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF35, vDEF35);
	}

	public  String getVdef36() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF36);
	}

	public  void setVdef36(String vDEF36) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF36, vDEF36);
	}

	public  String getVdef37() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF37);
	}

	public  void setVdef37(String vDEF37) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF37, vDEF37);
	}

	public  String getVdef38() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF38);
	}

	public  void setVdef38(String vDEF38) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF38, vDEF38);
	}

	public  String getVdef39() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF39);
	}

	public  void setVdef39(String vDEF39) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF39, vDEF39);
	}

	public  String getVdef40() {
		return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF40);
	}

	public  void setVdef40(String vDEF40) {
		this.setAttributeValue(PurchaseInHeadVO.VDEF40, vDEF40);
	}
	public String getVdef41() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF41);
	  }
	public String getVdef42() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF42);
	  }
	public String getVdef43() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF43);
	  }
	public String getVdef44() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF44);
	  }
	public String getVdef45() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF45);
	  }
	public String getVdef46() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF46);
	  }
	public String getVdef47() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF47);
	  }
	public String getVdef48() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF48);
	  }
	public String getVdef49() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF49);
	  }
	public String getVdef50() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF50);
	  }
	public String getVdef51() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF51);
	  }
	public String getVdef52() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF52);
	  }
	public String getVdef53() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF53);
	  }
	public String getVdef54() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF54);
	  }
	public String getVdef55() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF55);
	  }
	public String getVdef56() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF56);
	  }
	public String getVdef57() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF57);
	  }
	public String getVdef58() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF58);
	  }
	public String getVdef59() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF59);
	  }
	public String getVdef60() {
	    return (String) this.getAttributeValue(PurchaseInHeadVO.VDEF60);
	  }
	public void setVdef41(String vdef41) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF41, vdef41);
	  }

	public void setVdef42(String vdef42) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF42, vdef42);
	  }

	public void setVdef43(String vdef43) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF43, vdef43);
	  }

	public void setVdef44(String vdef44) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF44, vdef44);
	  }

	public void setVdef45(String vdef45) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF45, vdef45);
	  }

	public void setVdef46(String vdef46) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF46, vdef46);
	  }

	public void setVdef47(String vdef47) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF47, vdef47);
	  }

	public void setVdef48(String vdef48) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF48, vdef48);
	  }

	public void setVdef49(String vdef49) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF49, vdef49);
	  }

	public void setVdef50(String vdef50) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF50, vdef50);
	  }

	public void setVdef51(String vdef51) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF51, vdef51);
	  }

	public void setVdef52(String vdef52) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF52, vdef52);
	  }

	public void setVdef53(String vdef53) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF53, vdef53);
	  }

	public void setVdef54(String vdef54) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF54, vdef54);
	  }

	public void setVdef55(String vdef55) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF55, vdef55);
	  }

	public void setVdef56(String vdef56) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF56, vdef56);
	  }

	public void setVdef57(String vdef57) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF57, vdef57);
	  }

	public void setVdef58(String vdef58) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF58, vdef58);
	  }

	public void setVdef59(String vdef59) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF59, vdef59);
	  }

	public void setVdef60(String vdef60) {
	    this.setAttributeValue(PurchaseInHeadVO.VDEF60, vdef60);
	  }
  
//add by 周蓝萍   增加自定义字段21-60  2020-10-16  周蓝萍 end

  /**
   * @return 采购入库单据类型
   */
  @Override
  public ICBillType getBillType() {
    return ICBillType.PurchaseIn;
  }

  public String getCbiztype() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CBIZTYPE);
  }

  public UFBoolean getFreplenishflag() {
    return (UFBoolean) this.getAttributeValue(PurchaseInHeadVO.FREPLENISHFLAG);
  }

  public UFBoolean getBitinbill() {
    return (UFBoolean) this.getAttributeValue(PurchaseInHeadVO.BITINBILL);
  }

  @Override
  public IVOMeta getMetaData() {
    IVOMeta meta =
        VOMetaFactory.getInstance().getVOMeta(EntityNameConst.PurchaseInHead);
    return meta;
  }

  @Override
  public java.lang.String getPKFieldName() {
    return MetaNameConst.CGENERALHID;
  }

  public String getVreturnreason() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.VRETURNREASON);
  }

  public String getCcostdomainid() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CCOSTDOMAINID);
  }

  public String getCfanaceorgoid() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CFANACEORGOID);
  }

  public String getCfanaceorgvid() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CFANACEORGVID);
  }

  public String getCpayfinorgoid() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CPAYFINORGOID);
  }

  public String getCpayfinorgvid() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CPAYFINORGVID);
  }

  public String getCpurorgoid() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CPURORGOID);
  }

  public String getCpurorgvid() {
    return (String) this.getAttributeValue(PurchaseInHeadVO.CPURORGVID);
  }

  public String getCvendorid() {
    return (String) this.getAttributeValue(ICPubMetaNameConst.CVENDORID);
  }

  public void setCvendorid(String cvendorid) {
    this.setAttributeValue(ICPubMetaNameConst.CVENDORID, cvendorid);
  }

  public void setCbiztype(String cbiztype) {
    this.setAttributeValue(PurchaseInHeadVO.CBIZTYPE, cbiztype);
  }

  public void setFreplenishflag(UFBoolean freplenishflag) {
    this.setAttributeValue(PurchaseInHeadVO.FREPLENISHFLAG, freplenishflag);
  }

  public void setBitinbill(UFBoolean bitinbill) {
    this.setAttributeValue(PurchaseInHeadVO.BITINBILL, bitinbill);
  }

  public void setVreturnreason(String vreturnreason) {
    this.setAttributeValue(PurchaseInHeadVO.VRETURNREASON, vreturnreason);
  }

  public void setCcostdomainid(String ccostdomainid) {
    this.setAttributeValue(PurchaseInHeadVO.CCOSTDOMAINID, ccostdomainid);
  }

  public void setCfanaceorgoid(String cfanaceorgoid) {
    this.setAttributeValue(PurchaseInHeadVO.CFANACEORGOID, cfanaceorgoid);
  }

  public void setCfanaceorgvid(String cfanaceorgvid) {
    this.setAttributeValue(PurchaseInHeadVO.CFANACEORGVID, cfanaceorgvid);
  }

  public void setCpayfinorgoid(String cpayfinorgoid) {
    this.setAttributeValue(PurchaseInHeadVO.CPAYFINORGOID, cpayfinorgoid);
  }

  public void setCpayfinorgvid(String cpayfinorgvid) {
    this.setAttributeValue(PurchaseInHeadVO.CPAYFINORGVID, cpayfinorgvid);
  }

  public void setCpurorgoid(String cpurorgoid) {
    this.setAttributeValue(PurchaseInHeadVO.CPURORGOID, cpurorgoid);
  }

  public void setCpurorgvid(String cpurorgvid) {
    this.setAttributeValue(PurchaseInHeadVO.CPURORGVID, cpurorgvid);
  }
  
  public void setCrececountryid(String recid){
    this.setAttributeValue(ICPubMetaNameConst.CRECECOUNTRYID, recid);
  }

  public String getCrececountryid(){
    return (String)this.getAttributeValue(ICPubMetaNameConst.CRECECOUNTRYID);
  }
  
  public void setCsendcountryid(String csendid){
    this.setAttributeValue(ICPubMetaNameConst.CSENDCOUNTRYID, csendid);
  }
  
  public String getCsendcountryid(){
    return (String)this.getAttributeValue(ICPubMetaNameConst.CSENDCOUNTRYID);
  }
  
  public String getCtaxcountryid(){
    return (String)this.getAttributeValue(ICPubMetaNameConst.CTAXCOUNTRYID);
  }
  
  public void setCtaxcountryid(String ctaxid){
    this.setAttributeValue(ICPubMetaNameConst.CTAXCOUNTRYID, ctaxid);
  }
  
  public Integer getFbuysellflag(){
    return (Integer)this.getAttributeValue(ICPubMetaNameConst.FBUYSELLFLAG);
  }
  
  public void setFbuysellflag(Integer flag){
    this.setAttributeValue(ICPubMetaNameConst.FBUYSELLFLAG, flag);
  }
  
  public UFBoolean getBtriatradeflag(){
    return (UFBoolean)this.getAttributeValue(ICPubMetaNameConst.BTRIATRADEFLAG);
  }
  
  public void setBtriatradeflag(UFBoolean flag){
    this.setAttributeValue(ICPubMetaNameConst.BTRIATRADEFLAG, flag);
  }
  
  public String getCsendtypeid(){
    return (String)this.getAttributeValue(ICPubMetaNameConst.CSENDTYPEID);
  }
  
  public void setCsendtypeid(String typeid){
    this.setAttributeValue(ICPubMetaNameConst.CSENDTYPEID, typeid);
  }
  
  public String getCtradewordid(){
    return (String)this.getAttributeValue(ICPubMetaNameConst.CTRADEWORDID);
  }
  
  public void setCtradewordid(String ctradewordid){
    this.setAttributeValue(ICPubMetaNameConst.CTRADEWORDID, ctradewordid);
  }

  
 
}

//OyvTo7bJ+V/y1TWJAf+ESkZDGKwY5I4/GaXvEjGuW+DQ/jQuhqk+zUk2mMMj7oRa